Issue 122397 - migrate AOO 3.4.x and OOo 3.x user profile data during FirstStartWizard of AOO 4.x
migrate AOO 3.4.x and OOo 3.x user profile data during FirstStartWizard of AO...
Status: RESOLVED FIXED
Product: Installation
Classification: Application
Component: code
4.0.0-dev
All All
: P3 normal (vote)
: 4.0.0
Assigned To: Oliver-Rainer Wittmann
:
Depends on: 122398
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-28 12:40 UTC by Oliver-Rainer Wittmann
Modified: 2013-12-16 09:07 UTC (History)
3 users (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description Oliver-Rainer Wittmann 2013-05-28 12:40:14 UTC
AOO 4.x will not reuse an existing AOO 3.4.x or OOo 3.x user profile.
Thus, a corresponding migration of the certain AOO 3.4.x/OOo 3.x user profile data makes.

Corresponding code and configuration already exist.
It is currently used to migrate certain OOo 2.x user profile data during the (currently deactivated) FirstStartWizard.
Comment 1 Oliver-Rainer Wittmann 2013-06-18 08:10:12 UTC
solved on trunk for AOO 4.0 - revision 1494061
Comment 2 Oliver-Rainer Wittmann 2013-06-18 08:11:00 UTC
(In reply to Oliver-Rainer Wittmann from comment #1)
> solved on trunk for AOO 4.0 - revision 1494061

sorry - wrong issue
Comment 3 Oliver-Rainer Wittmann 2013-06-18 09:04:22 UTC
solved on trunk for AOO 4.0 - revision 1494066
Comment 4 Oliver-Rainer Wittmann 2013-06-20 08:39:21 UTC
adjustment to the extension migration process - revision 1494887
Comment 5 SVN Robot 2013-06-24 11:08:34 UTC
"orw" committed SVN revision 1495989 into trunk:
122397: - XCU file parsing: correct node containment check in case the node i...
Comment 6 Oliver-Rainer Wittmann 2013-06-24 11:14:02 UTC
(In reply to SVN Robot from comment #5)
> "orw" committed SVN revision 1495989 into trunk:
> 122397: - XCU file parsing: correct node containment check in case the node
> i...

correction to the XCU file parsing:
Check, if a certain XCU node is contained in the specified include list, fails in case that the node's root path is not in the include list.
Comment 7 andrixnet 2013-12-08 12:30:23 UTC
Request reopening: 

Previous version: 3.4.1
Current version: 4.0.1

User profile data was migrated, on first run, with user's consent. 
Most of the settings which I can remember have been properly migrated, but not all.

1) toolbar customizations have been lost. 
2) default document templates (which I have customized) are lost. The files are still there, in the template organizer, but the default template setting is lost.
3) several extensions, though imported, ceased to work, most likely due to API changes, because they did work correctly in 3.x
Comment 8 Andrea Pescetti 2013-12-14 19:56:17 UTC
@andrixnet: I don't think this needs reopening. The profile migration is not meant to be 100% complete. The most annoying problem is indeed with incompatible extensions, but this is because the extension authors often specify compatibility incorrectly (i.e., they state "compatible with OpenOffice >= 3.0" instead of "compatible with OpenOffice 3.x", which would avoid the installation of incompatible extensions).
Comment 9 Oliver-Rainer Wittmann 2013-12-16 09:07:31 UTC
(In reply to andrixnet from comment #7)
> Request reopening: 
> 
> Previous version: 3.4.1
> Current version: 4.0.1
> 
> User profile data was migrated, on first run, with user's consent. 
> Most of the settings which I can remember have been properly migrated, but
> not all.
> 
> 1) toolbar customizations have been lost. 
> 2) default document templates (which I have customized) are lost. The files
> are still there, in the template organizer, but the default template setting
> is lost.
> 3) several extensions, though imported, ceased to work, most likely due to
> API changes, because they did work correctly in 3.x

This issue was meant to reactivate the user profile migration in AOO 4.0. Defects in the user profile migration would be best handled by individual defects.

Thus, I am asking, if you could please submit new issues for your findings? One for each problem. Thanks in advance.
Please set myself (orw@apache.org) on CC of these new issues.